JOURNAL_SKIP_RECOVER(9)

NAME
journal_skip_recovery - Start journal and wipe exiting records

SYNOPSIS

int journal_skip_recovery(journal_t * journal);

ARGUMENTS

journal
    journal to startup

DESCRIPTION

Locate any valid recovery information from the journal and set up the journal structures in memory to ignore it (presumably because the caller has evidence that it is out of date). This function does'nt appear to be exorted..

We perform one pass over the journal to allow us to tell the user how much recovery information is being erased, and to let us initialise the journal transaction sequence numbers to the next unused ID.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT